<?php 
session_start();
if ($_SESSION['login']!=true) {header("Location: ../salidausuario.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
if (isset($_POST['Idsucursal']) AND isset($_POST['responsable']) AND isset($_POST['fecha']) AND isset($_POST['estado'])){
	$producto=$mysqli->query('SELECT * FROM productos ORDER BY Idproducto');
	$row=$producto->fetch_array();
	if ($_POST['estado']=="cerrada"){
		$insert=$mysqli->query('INSERT INTO ventas (fecha,tipodoc,ndoc,Idcliente,pagada,formapago,fechapago,Idsucursal) VALUES ("'.$_POST['fecha'].'","venta calculada","0","0","si","contado","'.$_POST['fecha'].'","'.$_POST['Idsucursal'].'")');
		$Idventa=$mysqli->insert_id;
		$insert=$mysqli->query('INSERT INTO gastos (Idsucursal,fecha,descripcion,valortotal) VALUES ("'.$_POST['Idsucursal'].'","'.$_POST['fecha'].'","diferencia de caja","'.-$_POST['diferenciacaja'].'")');
	}
	do {
		$stock=$mysqli->query('SELECT * FROM sucursales_stock WHERE Idproducto="'.$row['Idproducto'].'" AND Idsucursal="'.$_POST['Idsucursal'].'" AND fecha="'.$_POST['fecha'].'"');
		if ($stock->num_rows==0) {
			$mysqli->query('INSERT INTO sucursales_stock (Idsucursal,fecha,Idproducto,saldo) VALUES ("'.$_POST['Idsucursal'].'","'.$_POST['fecha'].'","'.$row['Idproducto'].'","0" )');
		} 
		
		if ($_POST['estado']=="cerrada"){
			//calculo ventas 
			//obtengo ventas a credito
			$ventascredito=$mysqli->query('SELECT vd.Idproducto, sum(vd.cantidad) as ventacredito,v.Idsucursal,v.fecha,v.tipodoc FROM ventas_detalle vd LEFT JOIN ventas v ON vd.Idventa=v.Idventa WHERE Idproducto="'.$row['Idproducto'].'" AND Idsucursal="'.$_POST['Idsucursal'].'" AND tipodoc!="venta calculada" AND fecha="'.$_POST['fecha'].'" ');
			$rowventascredito=$ventascredito->fetch_array();
			$ventateorica=$_POST['ventateorica'.$row['Idproducto']];
			$valorunitario=$_POST['valorunitario'.$row['Idproducto']];
			$ventacalculada=$ventateorica-$rowventascredito['ventacredito'];
			if ($ventacalculada!=0){
				$insert=$mysqli->query('INSERT INTO ventas_detalle (Idventa,Idproducto,cantidad,valorunitario) VALUES ("'.$Idventa.'","'.$row['Idproducto'].'","'.$ventacalculada.'","'.$valorunitario.'")');
			}
		}
	} while ($row=$producto->fetch_array());
	$cierre=$mysqli->query('SELECT * FROM cierres WHERE Idsucursal="'.$_POST['Idsucursal'].'" AND fecha="'.$_POST['fecha'].'"');
	if ($cierre->num_rows==0) {
		$mysqli->query('INSERT INTO cierres (Idsucursal,fecha,estado,responsable) VALUES ("'.$_POST['Idsucursal'].'","'.$_POST['fecha'].'","'.$_POST['estado'].'","'.$_POST['responsable'].'" )');
	} else {
		$mysqli->query('UPDATE cierres SET estado="'.$_POST['estado'].'",responsable="'.$_POST['responsable'].'" WHERE Idsucursal="'.$_POST['Idsucursal'].'" AND fecha="'.$_POST['fecha'].'"');
	}
}
$mysqli->close();
if ($_SESSION['sucursal']=="1"){
header('Location: ../informe-planilla-diaria-sucursal.php');
} else {
header('Location: ../sucursal-planilla-diaria.php');
}
?>